classification
Title: Change 'type' to 'class' in repr/str(builtin-class)
Type: behavior Stage:
Components: Extension Modules, Interpreter Core Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: loewis, terry.reedy
Priority: normal Keywords: easy

Created on 2008-04-07 00:30 by terry.reedy, last changed 2008-04-07 05:44 by loewis. This issue is now closed.

Messages (4)
msg65058 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2008-04-07 00:29
From py3 devel list today:
------------------------------------------------------------------------
>  r23331 | gvanrossum | 2001-09-25 05:56:29 +0200 (Di, 25 Sep 2001) | 5
lines
>
>  Change repr() of a new-style class to say <class 'ClassName'> rather
>  than <type 'ClassName'>.  Exception: if it's a built-in type or an
>  extension type, continue to call it <type 'ClassName>.
------------------------------------------------------------------------
Well, if we're going to break user code, 3.0 is the time to do it. :-)
msg65062 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-04-07 03:29
So which one should it be: type or class?
msg65064 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2008-04-07 04:31
Finish the change from 'type' to 'class'
(See carefully written title ;-)
msg65066 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2008-04-07 05:44
This is now fixed in r62203.
History
Date User Action Args
2008-04-07 05:44:14loewissetstatus: open -> closed
resolution: fixed
messages: + msg65066
2008-04-07 04:31:40terry.reedysetmessages: + msg65064
2008-04-07 03:29:52loewissetnosy: + loewis
messages: + msg65062
2008-04-07 00:30:01terry.reedycreate